org.eclnt.jsfserver.elements.adapter

## Class ComponentAdapterBindingBase

- java.lang.Object
- - org.eclnt.jsfserver.elements.adapter.ComponentAdapterBindingBase

- All Implemented Interfaces:
    java.io.Serializable, IComponentAdapterBinding
  Direct Known Subclasses:
    ComponentAdapterBindingMap

      public abstract class ComponentAdapterBindingBase
      extends java.lang.Object
      implements IComponentAdapterBinding

  Base class that can (optionally) be used for implementing component adapters. The base class takes over the following functions:
  (1.) It manages the set of fix and dynamic attributes. These attributes are passed at constructor point of time.
  (2.) It manages the return types for the dynamic attributes.
  (3.) It provides an `onAction(ActionEvent)` method that is called by the action listener processing. The onAction method delegates calls to listeners, implementing interface `IActionListenerListener`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAdapterBindingBase(java.lang.String[] fixAttributeNames, java.lang.String[] dynamicAttributeNames)`
    `ComponentAdapterBindingBase(java.lang.String[] fixAttributeNames, java.lang.String[] dynamicAttributeNames, java.lang.Class[] dynamicAttributeTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(IActionListenerListener listener)`
    `java.lang.Class` | `getAttibuteType(java.lang.String attributeName)` This method needs only to be implemented for these attributes which are set later on.
    `java.util.Set<java.lang.String>` | `getDynamicAttributeNames()` Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.
    `java.util.Set<java.lang.String>` | `getFixAttributeNames()` Name of the attributes that are set one time but not changed later on anymore.
    `void` | `onAction(ActionEvent event)` Action listener that is called when the component processes an action event.
    `void` | `removeActionListener(IActionListenerListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.adapter.IComponentAdapterBinding

      `getAttributeValue, setAttributeValue`

- - ### Constructor Detail

    - #### ComponentAdapterBindingBase

          public ComponentAdapterBindingBase(java.lang.String[] fixAttributeNames,
                                             java.lang.String[] dynamicAttributeNames)

    - #### ComponentAdapterBindingBase

          public ComponentAdapterBindingBase(java.lang.String[] fixAttributeNames,
                                             java.lang.String[] dynamicAttributeNames,
                                             java.lang.Class[] dynamicAttributeTypes)

  - ### Method Detail

    - #### getDynamicAttributeNames

          public java.util.Set<java.lang.String> getDynamicAttributeNames()

      Description copied from interface: `IComponentAdapterBinding`
      Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.
      Specified by:
        `getDynamicAttributeNames` in interface `IComponentAdapterBinding`

    - #### getFixAttributeNames

          public java.util.Set<java.lang.String> getFixAttributeNames()

      Description copied from interface: `IComponentAdapterBinding`
      Name of the attributes that are set one time but not changed later on anymore.
      Specified by:
        `getFixAttributeNames` in interface `IComponentAdapterBinding`

    - #### getAttibuteType

          public java.lang.Class getAttibuteType(java.lang.String attributeName)

      Description copied from interface: `IComponentAdapterBinding`
      This method needs only to be implemented for these attributes which are set later on. It needs not to be implemented for these attributes that are "get-only". In case of returning null as type the default mechanism will be used for transferring the UI value into an object value.
      Specified by:
        `getAttibuteType` in interface `IComponentAdapterBinding`

    - #### onAction

          public void onAction(ActionEvent event)

      Description copied from interface: `IComponentAdapterBinding`
      Action listener that is called when the component processes an action event. This action listener is called when no explicit actionListener is defined with the component.
      Specified by:
        `onAction` in interface `IComponentAdapterBinding`

    - #### addActionListener

          public void addActionListener(IActionListenerListener listener)

    - #### removeActionListener

          public void removeActionListener(IActionListenerListener listener)

Copyright © CaptainCasa Gmbh. All Rights Reserved.